Subject: bug#74712: closed (Re: bug#74712: 31.0.50; Add occurrence time of and-let* in Emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Dec 2024 03:27:02 +0000

Your bug report

#74712: 31.0.50; Add occurrence time of and-let* in Emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74712: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74712
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74712: 31.0.50; Add occurrence time of and-let* in Emacs
From: Stefan Kangas <[email-masked]>
To: Yue Yi <[email-masked]>, [email-masked]
Date: Sun, 8 Dec 2024 22:25:41 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

"Yue Yi" via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> I suggest adding the following code in symbol-releases.eld:
>
> ("26.1" fun and-let*)
>
> Regards,
>
> Yi Yue

Thanks for the bug report.  Now done on master.

Subject: 31.0.50; Add occurrence time of and-let* in Emacs
From: "Yue Yi" <[email-masked]>
To: "bug-gnu-emacs" <[email-masked]>
Date: Fri, 6 Dec 2024 22:53:23 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Emacs:

In the past few days, I spent some time researching the history of foo-let
changes in Emacs. I noticed that and-let* was first implemented by Mark Oteiza
as an alias for when-let* (commit be10c00), and then it was re-implemented
(commit 4612b2a). During the process of repeated modifications (commits af4697f,
f6bd7e0, 441fe20), Michael Heerdegen removed the related changes of and-let*
from the NEWS, which also led to (describe-function 'and-let*) not showing the
correct introduction VERSION of and-let* in the *HELP* buffer.

Therefore, I suggest adding the following code in symbol-releases.eld:

("26.1" fun and-let*)

Regards,

Yi Yue